Subject: RE: [Simple] 'Sessions of MESSAGEs'

From: Jonathan Rosenberg <[email-masked]>
Date: Mon, 27 Aug 2001 11:16:50 -0400

> -----Original Message-----
> From: Ben Campbell [mailto:[email-masked]]
> Sent: Monday, August 27, 2001 9:56 AM
> To: Oded Cnaan
> Cc: [email-masked]'; 'Gabriel Matsliach (E-mail)';
> 'Avner Ronen (E-mail)'
> Subject: Re: [Simple] 'Sessions of MESSAGEs'
> 
> 
> Oded Cnaan wrote:
> > The second scenario, that seems more logical, carries a 
> different kind of
> > difficulty. In 'All IP' networks, the IP of the handset may 
> be changed by
> > the network at any time (the user moves to a different base 
> station or even
> > moves to a different network). When the address of the 
> recipient changes
> > after a session has already started, consecutive messages will fail.
> > 
> > Unlike VoIP sessions, messages are not streamed so user A 
> has no way to know
> > that B's address has changed (assuming B is not in A's friend list).
> 
> 
> I don't understand what streaming has to do with noticing your target 
> endpoint address has changed, without extra signalling. I 
> assume that a 
> message session would allow noticing an network error just as 
> easily as 
> an RTP session.

Oded, I think you are talking about terminal mobility, right? In that case,
the 2.5G and 3G solutions generally use lower layer mobility, which makes
all of this transparent. There are solutions for sip layer mobility (see
http://search.ietf.org/internet-drafts/draft-itsumo-sipping-mobility-multime
dia-00.txt), and to my knowledge these do NOT depend on the timeliness of
the media transport. The local end that has moved sends a re-INVITE to its
peer to update the media address (and signaling address to).

---
Jonathan D. Rosenberg, Ph.D.                72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com